<div
  class="slide-item-container"
  [ngClass]="slide.dataView.deleted ? 'disabled' : (selectedSlide === slide.id ? 'single-selected-option' : '')"
  [appCopyToClipboard]="slide"
  (click)="onSlideSelect($event, slide.id)">
  <div class="grid-container">
    <div class="grid-item  img-min-max">
      <app-slide-image-item
        imageType="thumbnail"
        [slideImage]="slideImage"
        fallbackImage="../assets/fallback.jpg">
      </app-slide-image-item>
    </div>
    <div class="grid-item">
      <div
        class="slide-midi-data-width grid-item-composition"
        [matTooltip]="'Id: ' + slide?.id + '\nLocal id: ' + slide?.dataView?.local_id">
        <b class="text-clamp">{{slide?.dataView?.local_id ?? slide?.dataView?.id}}</b>
      </div>
      <div
        class="slide-midi-data-width grid-item-composition"
        [matTooltip]="'Tissue: ' + (slide?.dataView?.tissue | dictParser)">
        <span class="text-clamp">{{slide?.dataView?.tissue | dictParser}}</span>
      </div>
      <div class="slide-midi-data-width grid-row-item">
        <span
          [matTooltip]="'Block: ' + slide?.dataView?.block"
          class="left-align text-clamp">
          {{slide?.dataView?.block}}
        </span>
        <span
          [matTooltip]="'Stain: ' + (slide?.dataView?.stain | dictParser)"
          class="right-align text-clamp">
          {{slide?.dataView?.stain | dictParser}}
        </span>
      </div>
    </div>
  </div>
</div>
